List transactions
curl --request GET \
--url https://api.capibo.work/v1/billing/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.capibo.work/v1/billing/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.capibo.work/v1/billing/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "TXN-81009",
"kind": "credit",
"description": "Promo code CAL_HACKS redeemed",
"amount": 50000,
"status": "succeeded",
"created_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "eyJpZCI6IlZJRC03ODQxNzUifQ"
}{
"error": {
"type": "authentication_error",
"code": "api_key_invalid",
"message": "Invalid API key."
}
}Billing
List transactions
Credit top-ups, redeemed promo codes and monthly invoices, newest first.
GET
/
billing
/
transactions
List transactions
curl --request GET \
--url https://api.capibo.work/v1/billing/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.capibo.work/v1/billing/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.capibo.work/v1/billing/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "TXN-81009",
"kind": "credit",
"description": "Promo code CAL_HACKS redeemed",
"amount": 50000,
"status": "succeeded",
"created_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "eyJpZCI6IlZJRC03ODQxNzUifQ"
}{
"error": {
"type": "authentication_error",
"code": "api_key_invalid",
"message": "Invalid API key."
}
}Authorizations
An API key from Settings → API keys, e.g. cpb_live_… or cpb_test_….
Query Parameters
Page size.
Required range:
1 <= x <= 100The next_cursor from the previous page.